Folks.GroupDetails.change_groups – folks Reference Manual

# change_groups

## Description:

public virtual async void change_groups (Set<string> groups) throws PropertyError

Change the contact's groups.

It's preferred to call this rather than setting GroupDetails.groups directly, as this method gives error notification and will only return once the groups have been written to the relevant backing store (or the operation's failed).

## Parameters:

groups | the complete set of groups the contact should be a member of

## Exceptions:

PropertyError | if setting the groups failed

## Since:

0.6.2